import { LitElement } from 'lit';
/**
 * @element uui-form-validation-message
 * @description - Component for displaying one or more validation messages from UUI Form Control within the given scope.
 * Notice: Only supports components that is build on the FormControlMixing.
 * @slot - for button contents
 * @slot message - for extras in the messages container
 * @see FormControlMixin
 */
export declare class UUIFormValidationMessageElement extends LitElement {
    static styles: import("lit").CSSResult[];
    /**
     * Set the element containing Form Controls of interest.
     * @type {string}
     * @attr for
     * @default this
     */
    get for(): HTMLElement | string | null;
    set for(value: HTMLElement | string | null);
    private _for;
    constructor();
    private _messages;
    private _onControlInvalid;
    private _onControlValid;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'uui-form-validation-message': UUIFormValidationMessageElement;
    }
}
